/*
** Module   : Errorable.java
** Abstract : Define getter and setter for ERROR attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20130220 Created initial version.
** 002 EVL 20130911 Adding legacy attributes and methods annotation.
*/

package com.goldencode.p2j.util;

/**
 * Defines getter and setter for the ERROR attribute.
 */
public interface Errorable
{
   /**
    * Returns the state of the ERROR attribute
    *
    * @return    Current state of the ERROR attribute.
    */
   @LegacyAttribute(name = "ERROR")
   public logical isError();

   /**
    * Setter for ERROR attribute.
    *
    * @param    value
    *           The new value of ERROR attribute.
    */
   @LegacyAttribute(name = "ERROR", setter = true)
   public void setError(boolean value);

   /**
    * Setter for ERROR attribute.
    *
    * @param    value
    *           The new value of ERROR attribute.
    */
   @LegacyAttribute(name = "ERROR", setter = true)
   public void setError(logical value);
}
